using System.Collections.Generic;

public class SoundEffectsPlayerInitData
{
    public bool StopAllOnPlay = false;
    private List<string> LimitedConcurrentSounds = new List<string>();
    private Dictionary<string, float> ChangedVolumesSoundsList = new Dictionary<string, float>();
    private Dictionary<string, int> ChangedPrioritiesSoundsList = new Dictionary<string, int>();

    public SoundEffectsPlayerInitData()
    {

    }

    public List<string> GetLimitedConcurrentSounds()
    {
        return LimitedConcurrentSounds;
    }

    public Dictionary<string, float> GetChangedVolumesSoundsList()
    {
        return ChangedVolumesSoundsList;
    }

    public Dictionary<string, int> GetChangedPrioritiesSoundsList()
    {
        return ChangedPrioritiesSoundsList;
    }

    public void AddLimitedConcurrentSounds(params string[] sounds)
    {
        for(int i=0; i<sounds.Length; i++)
        {
            LimitedConcurrentSounds.Add(sounds[i]);
        }
    }

    public void AddChangedVolumes(params KeyValuePair<string, float>[] keyValuePairs)
    {
        for(int i=0; i<keyValuePairs.Length; i++)
        {
            ChangedVolumesSoundsList.Add(keyValuePairs[i].Key, keyValuePairs[i].Value);
        }
    }

    public void AddChangedPriorities(params KeyValuePair<string, int>[] keyValuePairs)
    {
        for (int i = 0; i < keyValuePairs.Length; i++)
        {
            ChangedPrioritiesSoundsList.Add(keyValuePairs[i].Key, keyValuePairs[i].Value);
        }
    }
}